Bug 1124291 - Fails to renew Google credentials (using 2-factor authentication)
Summary: Fails to renew Google credentials (using 2-factor authentication)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-online-accounts
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Debarshi Ray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 07:58 UTC by Tim Waugh
Modified: 2015-06-29 21:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:49:29 UTC


Attachments (Terms of Use)

Description Tim Waugh 2014-07-29 07:58:52 UTC
Description of problem:
I have 2-factor authentication enabled. In the 'Online Accounts' part of Settings, a warning triangle for the Google account says "Credentials have expires. Sign in to enable this account." so I clicked the Sign In button. After entering my password and verification code and clicking 'Accept', the log-in window was closed but the warning triangle remains shown.

journalctl -e shows:

Jul 29 08:51:20 rubik gnome-session[1884]: 08:51:20.263:[12142]:[DEBUG]: Stored keyring credentials for identity: account_1391366859_6 [goautils.c:326, goa_utils_store_credentials_for_id_sync()]
Jul 29 08:51:20 rubik goa[11781]: secret_password_lookup_sync() returned NULL [goautils.c:244, goa_utils_lookup_credentials_sync()]

Version-Release number of selected component (if applicable):
gnome-online-accounts-3.10.5-1.fc20.x86_64

How reproducible:
Happens every time at the moment.

Comment 1 Tim Waugh 2014-07-29 09:03:20 UTC
Deleting the account from Online Accounts and re-adding it made no difference.

Comment 2 Tim Waugh 2014-07-29 09:06:45 UTC
After logging out and then logging in again, the account is no longer marked as credentials expired and chat/mail/etc works again.

Comment 3 Philippe Gaunet 2014-09-24 08:21:19 UTC
After 2 days of use, all the accounts ( 1 gmail, 2 exchange 2010, 2 jabber, 2 IRC)  disapears from "online accounts" window !

Only google account do not work and can not be activate.

Comment 4 Philippe Gaunet 2014-09-24 08:25:42 UTC
/var/log/messages ::

gnome-session: (empathy:20928): eds-WARNING **: edsf-persona-store.vala:2396: Error in address book view query: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code24: TIMEOUT

Comment 5 Fedora Admin XMLRPC Client 2015-01-28 09:15:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2015-05-29 12:30:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 21:49:29 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.